package com.muyu.quest.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.io.Serializable;

/**
 * 任务执行记录对象 task_export
 *
 * @Author: 胡杨
 * @date 2024-09-06
 */

@Data
@Setter
@Getter
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("task_export")
public class TaskExport implements Serializable {

    /** ID */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 任务编码 */
    @Excel(name = "任务编码")
    private String taskCode;
    /** 执行编码 */
    @Excel(name = "执行编码")
    private String exportCode;

    /** 执行SQL */
    @Excel(name = "执行SQL")
    private Object addSql;

    /** 执行状态 */
    @Excel(name = "执行状态")
    private Integer start;

    /** 失败原因 */
    @Excel(name = "失败原因")
    private Object error;

    public TaskExport(String taskCode,String exportCode, String addSql, Integer start, String error) {
        this.taskCode = taskCode;
        this.exportCode = exportCode;
        this.addSql = addSql;
        this.start = start;
        this.error = error;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskCode", getTaskCode())
            .append("addSql", getAddSql())
            .append("start", getStart())
            .append("error", getError())
            .toString();
    }
}
