package com.muyu.quest.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.quest.model.DataValueModel;
import com.muyu.quest.remote.RemoteDataSourceService;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author: 胡杨
 * @ Date：2024-08-21-10:54
 * @ Version：1.0
 * @ Description：
 * @Author: 胡杨
 */
public class RemoteDataSourceFactory implements FallbackFactory<RemoteDataSourceService> {
    @Override
    public RemoteDataSourceService create(Throwable cause) {
        return new RemoteDataSourceService() {
            @Override
            public Result findTableValue(DataValueModel dataValueModel) {
                return Result.error("数据接入模块连接失败,网络异常...");
            }

            @Override
            public Result getTableValueTotal(DataValueModel dataValueModel) {
                return Result.error("数据接入模块连接失败,网络异常...");
            }

            @Override
            public Result addTableValue(DataValueModel dataValueModel) {
                return Result.error("数据接入模块连接失败,网络异常...");
            }
        };
    }
}
